Skip site navigation (1) Skip section navigation (2)

Re: build from Source: 9.0.1 / 9.1-alpha1 cannot build modules

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Lou Picciano <loupicciano(at)comcast(dot)net>
Cc: pgsql-testers <pgsql-testers(at)postgresql(dot)org>, pgsql-admin <pgsql-admin(at)postgresql(dot)org>
Subject: Re: build from Source: 9.0.1 / 9.1-alpha1 cannot build modules
Date: 2010-10-10 16:53:26
Message-ID: 28868.1286729606@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-adminpgsql-testers
Lou Picciano <loupicciano(at)comcast(dot)net> writes:
> 'Wacko', indeed, no? 
> It's make 3.81, as packaged with OpenIndiana. gcc is 3.4.3. 

Hm, 3.81 is a pretty popular version, so that doesn't seem to be the
answer.  Did you look at exactly what was on the complained-of line?
It looks to me like it should be

	top_srcdir = $(top_builddir)

which seems unobjectionable.  But maybe there's something wrong
with your copy of Makefile.global.in.

BTW, was this a vpath build, or not?

			regards, tom lane

In response to

pgsql-admin by date

Next:From: Lou PiccianoDate: 2010-10-10 17:14:06
Subject: Re: build from Source: 9.0.1 / 9.1-alpha1 cannot build modules
Previous:From: Lou PiccianoDate: 2010-10-10 16:22:22
Subject: Re: build from Source: 9.0.1 / 9.1-alpha1 cannot build modules

pgsql-testers by date

Next:From: Lou PiccianoDate: 2010-10-10 17:14:06
Subject: Re: build from Source: 9.0.1 / 9.1-alpha1 cannot build modules
Previous:From: Lou PiccianoDate: 2010-10-10 16:22:22
Subject: Re: build from Source: 9.0.1 / 9.1-alpha1 cannot build modules

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group